Page MenuHomePhabricator

Co-op: bot can create a Flow board for each new mentored editor (tracking)
Closed, DeclinedPublic0 Story Points

Description

The Co-op project wants to have a bot ("hostbot") automatically pair up new editors and mentors in a mentorship space. As part of this the bot will create a Flow board for each new editor that signs up (sample on testwiki).

Some stuff has to come together, first on testwiki for development, then on enwiki.

Related Objects

StatusAssignedTask
DeclinedNone
ResolvedNone
Resolvedcsteipp
ResolvedEBernhardson
InvalidCapt_Swing
ResolvedCapt_Swing
Resolvedmatthiasmullie
Resolvedmatthiasmullie
Resolvedmatthiasmullie
Resolvedmatthiasmullie
Resolvedmatthiasmullie
Resolvedmatthiasmullie
Resolvedmatthiasmullie
Resolvedmatthiasmullie
Resolved Mattflaschen-WMF
ResolvedEBernhardson
ResolvedEBernhardson
ResolvedCapt_Swing
Resolved Mattflaschen-WMF

Event Timeline

Spage triaged this task as High priority.Dec 16 2014, 10:02 AM

We'd like to have this working in December.

Jaspark1027 added a subscriber: Jaspark1027.
Jaspark1027 added a subscriber: Jaspark1027.
Spage renamed this task from Co-op bot can create a Flow board for each new mentored editor (tracking) to Co-op tracking: bot can create a Flow board for each new mentored editor (tracking).Dec 16 2014, 7:37 PM
Spage renamed this task from Co-op tracking: bot can create a Flow board for each new mentored editor (tracking) to Co-op: bot can create a Flow board for each new mentored editor (tracking).Dec 17 2014, 8:38 PM

end flow occupation is no longer required, although still advised. some other patch we did allows contentmodelusedb to live in tandem with the occupation controller, for now.

Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptApr 6 2015, 8:35 PM

@Quiddity any reason you're still triaging this ticket? Just checking because my bot is no longer performing this function.

DannyH removed a subscriber: DannyH.Mar 23 2016, 9:10 PM
Quiddity closed this task as Declined.Mar 29 2016, 11:02 PM

@Quiddity any reason you're still triaging this ticket? Just checking because my bot is no longer performing this function.

I was just bulk-editing the tracking tasks that were missing the Tracking-Neverending tag.
But whilst I'm here, I'll resolve this (as 'declined' because there isn't a better option).
Thanks for the nudge. :)